Neophobe Plebeian Mumpsimus

    tern-node-extension

    0.5.0 • Public • Published

    tern-node-extension

    Build Status NPM version

    tern-node-extension is a plugin which adds support validation for node require to the JavaSript code intelligence system Tern.

    Here a sample with Eclipse :

    Node lint

    See here for more information about node lint with Eclipse.

    Installation

    tern-node-extension works with the NodeJS [Tern Server][tern-server], and within a browser.

    The easiest way to install tern-node-extension is to use a recent version of [npm][npm]. In the directory where you installed the [tern package][tern-npm], simply run

    $ npm install tern-node-extension
    

    Configuration

    node-extension tern plugin extends node tern plugin to support validation.

    With Node.js

    In order for Tern to load the tern-node-express plugin once it is installed, you must include node-extension in the plugins section of your [Tern configuration file][tern-config] and node.

    Here is a minimal example .tern-project configuration file:

    {
      "plugins": {
        "node": {},
        "lint": {},
        "node-extension": {}
      }
    }

    With WebBrowser (CodeMirror)

    See demos/express.html

    Structure

    The basic structure of the project is given in the following way:

    • node-extension.js the tern plugin.
    • demos/ demos with node lint tern plugin which use CodeMirror.

    Keywords

    none

    Install

    npm i tern-node-extension

    DownloadsWeekly Downloads

    3

    Version

    0.5.0

    License

    MIT

    Last publish

    Collaborators

    • angelozerr